# README

## รายชื่อผู้จัดทำ
1. ชนินทร์ชัย ช่วยประสาทวัฒนา รหัสนิสิต 6310503278
2. ภัคพล นารถธนะรุ่ง รหัสนิสิต 6310503502
3. กิตติภัค วิบูลเสถียร รหัสนิสิต 6310505688
4. ทศพล อัสวเดชขจร รหัสนิสิต 6310505726
5. ปารณัท วงศ์สานุภา รหัสนิสิต 6310505734

ชั้นปีที่ 3 ภาควิชาวิศวกรรมคอมพิวเตอร์ คณะวิศวกรรมศาสตร์ มหาวิทยาลัยเกษตรศาสตร์

# Amazing Cabinet
## Files
- `frontend` เก็บโค้ด frontend, โดยเปิดที่ไฟล์ index.html
- `hardware` เก็บโค้ด hardware แยกแต่ละ component
- `images` เก็บรูปถ่ายการทำโปรเจคบางรูป
- `images_project` เก็บรูปถ่าย design
- `schematics` เก็ยรูป schematic ของงาน
- `routes` เก็บโค้ด backend แยก frontend route 
- `app.js` คือโค้ดในการรัน backend
- `resources.js` คือโค้ดการทำ order
- `api.md` คือรายละเอียด API
- `license.txt` คือ license API

## Installation
```sh
npm install
```

## Hardware installation
Compile and install using arduino IDE 

## Running
```
npm run start
```

## Documentation
API documentation is at `api.md`